Bug 841053 - RFE: "pull revision" to write rXXX in file name
RFE: "pull revision" to write rXXX in file name
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lee Newson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-17 21:35 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version: 0.26.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 21:30:18 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-17 21:35:19 EDT
At the moment:
[jwulf@radhe Messaging_Programming_Reference]$ csprocessor pull --pre -r 161816 -H http://skynet.usersys.redhat.com:8080/TopicIndex/
CSProcessor client version: 0.25.1
Loading configuration from /home/jwulf/.config/csprocessor.ini
Loading project configuration from csprocessor.cfg
Connecting to Skynet server: http://skynet.usersys.redhat.com:8080/TopicIndex/

Output saved to: Messaging_Programming_Reference-pre.contentspec


Desired behavior:

Output saved to: Messaging_Programming_Reference-pre.contentspec.r161816

or something similar, so that you can pull various revisions and diff them.

==============================
Generated Details:

Package: cspclient-0.25.1-1.noarch

OS: Fedora release 16 (Verne)

JAVA: java version "1.7.0"
Java(TM) SE Runtime Environment (build 1.7.0-b147)
Java HotSpot(TM) Client VM (build 21.0-b17, mixed mode, sharing)


CSProcessor client version: 0.25.1
Loading configuration from /home/jwulf/.config/csprocessor.ini
Loading project configuration from csprocessor.cfg
Connecting to Skynet server: http://skynet.usersys.redhat.com:8080/TopicIndex/

Content Specification ID: 8025
Content Specification Revision: 161816
Content Specification Title: Messaging Programming Reference

Starting to calculate the statistics...
Total Number of Topics: 233
Number of Topics with XML: 65
Percentage Complete: 27.90%
Comment 1 Lee Newson 2012-07-18 00:22:20 EDT
A work around until this is added is to use the --output or -o parameter and specify the file name you desire. eg:

csprocessor pull -o "Messaging_Programming_Reference-pre.contentspec.r161816"
Comment 2 Lee Newson 2012-07-18 23:52:49 EDT
Added in 0.26.1

The output when you use the revision number option is now:

<TITLE>-(pre|post)-r<REV_NUMBER>.contentspec

I opted away from adding the revision at the end as it changes the file extension and I'd prefer to keep it the same for all contentspecs.
Comment 3 Lee Newson 2013-06-06 21:30:18 EDT
Closing and setting as current release as no QA was performed by the original reporter. If there is still an issue with this bug still than please re-open it.

Note You need to log in before you can comment on or make changes to this bug.